# How to Contribute

:tada: Thanks, for considering to contribute to EKO!

:pray: For the sake of simplicity we switch below to imperative language, however, please read a "Please" infront of everything.

- :brain: Be reasonable and use common sense when contributing: we added some points we would like to highlight below
- :family: Follow our [Code of Conduct](https://github.com/N3PDF/eko/blob/master/.github/CODE_OF_CONDUCT.md) and use the provided
  [Issue Templates](https://github.com/N3PDF/eko/issues/new/choose)

## Testing

- :elephant: Make sure to not break the old tests (unless there was a mistake)
- :hatching_chick: Write new tests for your new code - the coverage should be back to 100% if possible

## Style Conventions

### Python Styleguide
- :art: Run [black](https://github.com/psf/black) to style your code
- :blue_book: Use [numpy documentation guide](https://numpydoc.readthedocs.io/en/latest/format.html)

### Git
- :octocat: Make sure the commit message is written properly ([This blogpost](https://chris.beams.io/posts/git-commit/) explains it nicely)
- :sailboat: Use [git-flow](https://github.com/nvie/gitflow) - note there is a [cheat sheet](https://danielkummer.github.io/git-flow-cheatsheet/index.html)
  and [shell completion](https://github.com/bobthecow/git-flow-completion)
